<?php			

/**
 * Adds the individual sections, settings, and controls to the theme customizer
 */

function waterside_customizer( $wp_customize ) {

	$wp_customize->add_section(
		'waterside_section_general',
		array(
			'title' => __('General Settings','waterside'),
			'description' => 'This controls various general theme settings.',
			'priority' => 5,
		)
	);

	$wp_customize->add_setting( 
		'waterside_logo_upload',
		array(
			'sanitize_callback' => 'sanitize_file_upload',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Upload_Control(
			$wp_customize,
			'file-upload',
			array(
				'label' => __('Logo File Upload','waterside'),
				'section' => 'waterside_section_general',
				'settings' => 'waterside_logo_upload'
			)
		)
	);

	$copyright_default = __('Copyright &copy; ','waterside') . date("Y",time()) . ' ' . get_bloginfo('name') . '. ' . __('All Rights Reserved', 'waterside');
	$wp_customize->add_setting(
		'waterside_copyright_text',
		array(
			'default' => $copyright_default,
			'sanitize_callback' => 'sanitize_text_input',
		)
	);

	$wp_customize->add_control(
		'waterside_copyright_text',
		array(
			'label' => __('Copyright text in Footer','waterside'),
			'section' => 'waterside_section_general',
			'type' => 'text',
		)
	);

}
add_action( 'customize_register', 'waterside_customizer' );